For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDashboard
DocsAPI ReferenceWebhooksMethodsUI ComponentsMCP ServerChangelog
  • API Reference
        • POSTList 10DLC Campaigns
        • GETGet 10DLC Campaign by ID
        • POSTCreate or Update 10DLC Campaign
        • POSTSubmit 10DLC Campaign
        • POSTAutofill 10DLC Campaign Information
        • POSTValidate 10DLC Campaign Information
LogoLogo
SupportDashboard
API ReferenceCampaigns10DLC

Submit 10DLC Campaign

POST
https://api.pinnacle.sh/campaigns/dlc/submit/:campaignId
POST
/campaigns/dlc/submit/:campaignId
1import { PinnacleClient } from "rcs-js";
2
3async function main() {
4 const client = new PinnacleClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.campaigns.dlc.submit("dlc_1234567890");
8}
9main();
1{
2 "success": true
3}
Submit your 10DLC campaign for approval and activation with carriers.
Was this page helpful?
Previous

Autofill 10DLC Campaign Information

Next
Built with

Authentication

PINNACLE-API-KEYstring
API Key authentication via header

Path parameters

campaignIdstringRequired

Unique identifier of the 10DLC campaign to submit.

This identifier is a string that always begins with the prefix dlc_, for example: dlc_1234567890.

Response

Successfully submitted 10DLC campaign for approval.
successboolean
Indicates whether the campaign submission was successful.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error